Skip to main content
POST

Request Parameters

Body

url
string
The image url.
file_store_key
string
The key used to store the image on Jigsawstack file. Learn more about how to handle files in Jigsawstack’s Handling Files section.
target_language
string
required
The language code of the target language to translate to. All supported language codes can be found here.
return_type
string
The specified return type for the response
  • url
  • base64
  • binary

Response Structure

The response format depends on the return_type parameter:

URL Response

return_type: “url” or “base64”
success
boolean
Indicates whether the call was successful.
_usage
object
Usage information for the API call.
log_id
string
A unique identifier for the request
url
string
The URL of the generated file (image or PDF) that can be accessed directly.

Binary Response

return_type: “binary” The API returns the generated file (image or PDF) directly in the response body as binary data.